using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace YahooMessanger_Smileys
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }
        private void Settxt(string text)
        {
            Clipboard.SetText(text);
            MainTextBox.Text = MainTextBox.Text + text;
            status_lbl.Text = "شكلك مورد نظر در كليپ بورد كپي شد و به ليست افزوده شد.";
            clr_timer.Enabled = true;
        }
        
        private void Form1_Load(object sender, EventArgs e)
        {
            

        }

        private void p1_Click(object sender, EventArgs e)
        {
            Settxt(":bz");
        }

        private void p2_Click(object sender, EventArgs e)
        {
            Settxt(":-??");
        }

        private void p3_Click(object sender, EventArgs e)
        {
            Settxt("%-(");
        }

        private void p4_Click(object sender, EventArgs e)
        {
            Settxt(":o3");
        }

        private void p5_Click(object sender, EventArgs e)
        {
            Settxt("$-)");
        }

        private void p6_Click(object sender, EventArgs e)
        {
            Settxt("X_X");
        }

        private void p7_Click(object sender, EventArgs e)
        {
            Settxt(":@)");
        }

        private void p8_Click(object sender, EventArgs e)
        {
            Settxt("3:-O");
        }

        private void p9_Click(object sender, EventArgs e)
        {
            Settxt(":!!");
        }

        private void p10_Click(object sender, EventArgs e)
        {
            Settxt(":(|)");
        }

        private void p11_Click(object sender, EventArgs e)
        {
            Settxt("~:>");
        }

        private void p12_Click(object sender, EventArgs e)
        {
            Settxt("@};-");
        }

        private void p13_Click(object sender, EventArgs e)
        {
            Settxt("%%-");
        }

        private void p14_Click(object sender, EventArgs e)
        {
            Settxt("**==");
        }

        private void p15_Click(object sender, EventArgs e)
        {
            Settxt("(~~)");
        }

        private void p16_Click(object sender, EventArgs e)
        {
            Settxt("~O)");
        }

        private void p17_Click(object sender, EventArgs e)
        {
            Settxt("*-:)");
        }

        private void p18_Click(object sender, EventArgs e)
        {
            Settxt("8-X");
        }

        private void p19_Click(object sender, EventArgs e)
        {
            Settxt("=:)");
        }

        private void p20_Click(object sender, EventArgs e)
        {
            Settxt(@"\m/");
        }

        private void p21_Click(object sender, EventArgs e)
        {
            Settxt(">-)");
        }

        private void p22_Click(object sender, EventArgs e)
        {
            Settxt(":-L");
        }

        private void p23_Click(object sender, EventArgs e)
        {
            Settxt("[-O<");
        }

        private void p24_Click(object sender, EventArgs e)
        {
            Settxt("b-(");
        }

        private void p25_Click(object sender, EventArgs e)
        {
            Settxt(":)>-");
        }

        private void p26_Click(object sender, EventArgs e)
        {
            Settxt("[-X");
        }

        private void p27_Click(object sender, EventArgs e)
        {
            Settxt(@"\:D/");
        }

        private void p28_Click(object sender, EventArgs e)
        {
            Settxt(">:/");
        }

        private void p29_Click(object sender, EventArgs e)
        {
            Settxt(":-bd");
        }

        private void p30_Click(object sender, EventArgs e)
        {
            Settxt(";))");
        }

        private void p31_Click(object sender, EventArgs e)
        {
            Settxt("o->");
        }

        private void p32_Click(object sender, EventArgs e)
        {
            Settxt("o=>");
        }

        private void p33_Click(object sender, EventArgs e)
        {
            Settxt("o-+");
        }

        private void p34_Click(object sender, EventArgs e)
        {
            Settxt("(%)");
        }

        private void p35_Click(object sender, EventArgs e)
        {
            Settxt(":-@");
        }

        private void p36_Click(object sender, EventArgs e)
        {
            Settxt("^:)^");
        }

        private void p37_Click(object sender, EventArgs e)
        {
            Settxt(":-j");
        }

        private void p38_Click(object sender, EventArgs e)
        {
            Settxt("(*)");
        }

        private void p39_Click(object sender, EventArgs e)
        {
            Settxt(":-q");
        }

        private void p40_Click(object sender, EventArgs e)
        {
            Settxt("^#(^");
        }

        private void clr_btn_Click(object sender, EventArgs e)
        {
            MainTextBox.Text = "";
            status_lbl.Text = "كادر متن خالي شد.";
            clr_timer.Enabled = true;
        }

        private void copy_btn_Click(object sender, EventArgs e)
        {
            if(MainTextBox.Text!=String.Empty)      Clipboard.SetText(MainTextBox.Text);
            MainTextBox.SelectAll();
            MainTextBox.Clear();
            status_lbl.Text = "شكلك ها با موفقيت در كليپ بورد ذخيره شد.";
            clr_timer.Enabled = true;

        }
        private void p1_MouseLeave(object sender, EventArgs e)
        {
            p1.BackColor = Color.Empty;
        }

        private void p2_MouseLeave(object sender, EventArgs e)
        {
            p2.BackColor = Color.Empty;
        }

        private void p3_MouseLeave(object sender, EventArgs e)
        {
            p3.BackColor = Color.Empty;
        }   

        private void p4_MouseLeave(object sender, EventArgs e)
        {
            p4.BackColor = Color.Empty;
        }

        private void p5_MouseLeave(object sender, EventArgs e)
        {
            p5.BackColor = Color.Empty;
        }

        private void p6_MouseLeave(object sender, EventArgs e)
        {
            p6.BackColor = Color.Empty;
        }

        private void p7_MouseLeave(object sender, EventArgs e)
        {
            p7.BackColor = Color.Empty;
        }

        private void p8_MouseLeave(object sender, EventArgs e)
        {
            p8.BackColor = Color.Empty;
        }

        private void p9_MouseLeave(object sender, EventArgs e)
        {
            p9.BackColor = Color.Empty;
        }

        private void p10_MouseLeave(object sender, EventArgs e)
        {
            p10.BackColor = Color.Empty;
        }

        private void p11_MouseLeave(object sender, EventArgs e)
        {
            p11.BackColor = Color.Empty;
        }

        private void p12_MouseLeave(object sender, EventArgs e)
        {
            p12.BackColor = Color.Empty;
        }

        private void p13_MouseLeave(object sender, EventArgs e)
        {
            p13.BackColor = Color.Empty;
        }

        private void p14_MouseLeave(object sender, EventArgs e)
        {
            p14.BackColor = Color.Empty;
        }

        private void p15_MouseLeave(object sender, EventArgs e)
        {
            p15.BackColor = Color.Empty;
        }

        private void p16_MouseLeave(object sender, EventArgs e)
        {
            p16.BackColor = Color.Empty;
        }

        private void p17_MouseLeave(object sender, EventArgs e)
        {
            p17.BackColor = Color.Empty;
        }

        private void p18_MouseLeave(object sender, EventArgs e)
        {
            p18.BackColor = Color.Empty;
        }

        private void p19_MouseLeave(object sender, EventArgs e)
        {
            p19.BackColor = Color.Empty;
        }

        private void p20_MouseLeave(object sender, EventArgs e)
        {
            p20.BackColor = Color.Empty;
        }

        private void p21_MouseLeave(object sender, EventArgs e)
        {
            p21.BackColor = Color.Empty;
        }

        private void p22_MouseLeave(object sender, EventArgs e)
        {
            p22.BackColor = Color.Empty;
        }

        private void p23_MouseLeave(object sender, EventArgs e)
        {
            p23.BackColor = Color.Empty;
        }

        private void p24_MouseLeave(object sender, EventArgs e)
        {
            p24.BackColor = Color.Empty;
        }

        private void p25_MouseLeave(object sender, EventArgs e)
        {
            p25.BackColor = Color.Empty;
        }

        private void p26_MouseLeave(object sender, EventArgs e)
        {
            p26.BackColor = Color.Empty;
        }

        private void p27_MouseLeave(object sender, EventArgs e)
        {
            p27.BackColor = Color.Empty;
        }

        private void p28_MouseLeave(object sender, EventArgs e)
        {
            p28.BackColor = Color.Empty;
        }

        private void p29_MouseLeave(object sender, EventArgs e)
        {
            p29.BackColor = Color.Empty;
        }

        private void p30_MouseLeave(object sender, EventArgs e)
        {
            p30.BackColor = Color.Empty;
        }

        private void p31_MouseLeave(object sender, EventArgs e)
        {
            p31.BackColor = Color.Empty;
        }

        private void p32_MouseLeave(object sender, EventArgs e)
        {
            p32.BackColor = Color.Empty;
        }

        private void p33_MouseLeave(object sender, EventArgs e)
        {
            p33.BackColor = Color.Empty;
        }

        private void p34_MouseLeave(object sender, EventArgs e)
        {
            p34.BackColor = Color.Empty;
        }

        private void p35_MouseLeave(object sender, EventArgs e)
        {
            p35.BackColor = Color.Empty;
        }

        private void p36_MouseLeave(object sender, EventArgs e)
        {
            p36.BackColor = Color.Empty;
        }

        private void p37_MouseLeave(object sender, EventArgs e)
        {
            p37.BackColor = Color.Empty;
        }

        private void p38_MouseLeave(object sender, EventArgs e)
        {
            p38.BackColor = Color.Empty;
        }

        private void p39_MouseLeave(object sender, EventArgs e)
        {
            p39.BackColor = Color.Empty;
        }

        private void p40_MouseLeave(object sender, EventArgs e)
        {
            p40.BackColor = Color.Empty;
        }
        private void p1_MouseMove(object sender, MouseEventArgs e)
        {
            p1.BackColor = Color.LightCyan;
        }

        private void p2_MouseMove(object sender, MouseEventArgs e)
        {
            p2.BackColor = Color.LightCyan;
        }

        private void p3_MouseMove(object sender, MouseEventArgs e)
        {
            p3.BackColor = Color.LightCyan;
        }
        private void p4_MouseMove(object sender, MouseEventArgs e)
        {
            p4.BackColor = Color.LightCyan;
        }

        private void p5_MouseMove(object sender, MouseEventArgs e)
        {
            p5.BackColor = Color.LightCyan;
        }

        private void p6_MouseMove(object sender, MouseEventArgs e)
        {
            p6.BackColor = Color.LightCyan;
        }

        private void p7_MouseMove(object sender, MouseEventArgs e)
        {
            p7.BackColor = Color.LightCyan;
        }

        private void p8_MouseMove(object sender, MouseEventArgs e)
        {
            p8.BackColor = Color.LightCyan;
        }

        private void p9_MouseMove(object sender, MouseEventArgs e)
        {
            p9.BackColor = Color.LightCyan;
        }

        private void p10_MouseMove(object sender, MouseEventArgs e)
        {
            p10.BackColor = Color.LightCyan;
        }

        private void p11_MouseMove(object sender, MouseEventArgs e)
        {
            p11.BackColor = Color.LightCyan;
        }

        private void p12_MouseMove(object sender, MouseEventArgs e)
        {
            p12.BackColor = Color.LightCyan;
        }

        private void p13_MouseMove(object sender, MouseEventArgs e)
        {
            p13.BackColor = Color.LightCyan;
        }

        private void p14_MouseMove(object sender, MouseEventArgs e)
        {
            p14.BackColor = Color.LightCyan;
        }

        private void p15_MouseMove(object sender, MouseEventArgs e)
        {
            p15.BackColor = Color.LightCyan;
        }

        private void p16_MouseMove(object sender, MouseEventArgs e)
        {
            p16.BackColor = Color.LightCyan;
        }

        private void p17_MouseMove(object sender, MouseEventArgs e)
        {
            p17.BackColor = Color.LightCyan;
        }

        private void p18_MouseMove(object sender, MouseEventArgs e)
        {
            p18.BackColor = Color.LightCyan;
        }

        private void p19_MouseMove(object sender, MouseEventArgs e)
        {
            p19.BackColor = Color.LightCyan;
        }

        private void p20_MouseMove(object sender, MouseEventArgs e)
        {
            p20.BackColor = Color.LightCyan;
        }

        private void p21_MouseMove(object sender, MouseEventArgs e)
        {
            p21.BackColor = Color.LightCyan;
        }

        private void p22_MouseMove(object sender, MouseEventArgs e)
        {
            p22.BackColor = Color.LightCyan;
        }

        private void p23_MouseMove(object sender, MouseEventArgs e)
        {
            p23.BackColor = Color.LightCyan;
        }

        private void p24_MouseMove(object sender, MouseEventArgs e)
        {
            p24.BackColor = Color.LightCyan;
        }

        private void p25_MouseMove(object sender, MouseEventArgs e)
        {
            p25.BackColor = Color.LightCyan;
        }

        private void p26_MouseMove(object sender, MouseEventArgs e)
        {
            p26.BackColor = Color.LightCyan;
        }

        private void p27_MouseMove(object sender, MouseEventArgs e)
        {
            p27.BackColor = Color.LightCyan;
        }

        private void p28_MouseMove(object sender, MouseEventArgs e)
        {
            p28.BackColor = Color.LightCyan;
        }

        private void p29_MouseMove(object sender, MouseEventArgs e)
        {
            p29.BackColor = Color.LightCyan;
        }

        private void p30_MouseMove(object sender, MouseEventArgs e)
        {
            p30.BackColor = Color.LightCyan;
        }

        private void p31_MouseMove(object sender, MouseEventArgs e)
        {
            p31.BackColor = Color.LightCyan;
        }

        private void p32_MouseMove(object sender, MouseEventArgs e)
        {
            p32.BackColor = Color.LightCyan;
        }

        private void p33_MouseMove(object sender, MouseEventArgs e)
        {
            p33.BackColor = Color.LightCyan;
        }

        private void p34_MouseMove(object sender, MouseEventArgs e)
        {
            p34.BackColor = Color.LightCyan;
        }

        private void p35_MouseMove(object sender, MouseEventArgs e)
        {
            p35.BackColor = Color.LightCyan;
        }

        private void p36_MouseMove(object sender, MouseEventArgs e)
        {
            p36.BackColor = Color.LightCyan;
        }

        private void p37_MouseMove(object sender, MouseEventArgs e)
        {
            p37.BackColor = Color.LightCyan;
        }

        private void p38_MouseMove(object sender, MouseEventArgs e)
        {
            p38.BackColor = Color.LightCyan;
        }

        private void p39_MouseMove(object sender, MouseEventArgs e)
        {
            p39.BackColor = Color.LightCyan;
        }

        private void p40_MouseMove(object sender, MouseEventArgs e)
        {
            p40.BackColor = Color.LightCyan;
        }

        private void top_check_CheckedChanged(object sender, EventArgs e)
        {
            this.TopMost = top_check.Checked;
        }

        private void clr_timer_Tick(object sender, EventArgs e)
        {
            status_lbl.Text = "";
            clr_timer.Enabled = false;
        }

        private void copy_btn_MouseMove(object sender, MouseEventArgs e)
        {
            copy_btn.ForeColor = Color.Red;
        }

        private void copy_btn_MouseLeave(object sender, EventArgs e)
        {
            copy_btn.ForeColor = Color.Empty;
        }

        private void clr_btn_MouseLeave(object sender, EventArgs e)
        {
            clr_btn.ForeColor = Color.Empty;
        }

        private void clr_btn_MouseMove(object sender, MouseEventArgs e)
        {
            clr_btn.ForeColor = Color.Red;
        }

        private void خروجToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Application.Exit();
        }

        private void بازديدازسايتToolStripMenuItem_Click(object sender, EventArgs e)
        {
            System.Diagnostics.Process.Start("http://sourcegozar.com/");
        }

        private void دربارهToolStripMenuItem_Click(object sender, EventArgs e)
        {
            about a = new about();
            a.ShowDialog();
        }

        private void toolStripStatusLabel1_ButtonClick(object sender, EventArgs e)
        {
            toolStripStatusLabel1.ShowDropDown();
        }

       

       

       

    }
}
